commit 7319c2c9e6fc37a77a96e737dc1f3ef18d439602
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Aug 13 02:18:24 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 75040bd8287..50326fbe303 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,24 @@
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-07-28  Jakub Jelinek  <jakub@redhat.com>
+
+	PR middle-end/101624
+	* ubsan.c (maybe_instrument_pointer_overflow,
+	instrument_object_size): Only test DECL_REGISTER on VAR_DECLs,
+	PARM_DECLs or RESULT_DECLs.
+	* sanopt.c (maybe_optimize_ubsan_ptr_ifn): Likewise.
+
+2021-08-12  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* configure.ac (PE linker --disable-dynamicbase support): New check.
+	* configure: Regenerate.
+	* config.in: Likewise.
+	* config/i386/mingw32.h (LINK_SPEC_DISABLE_DYNAMICBASE): New define.
+	(LINK_SPEC): Use it.
+	* config/i386/mingw-w64.h (LINK_SPEC_DISABLE_DYNAMICBASE): Likewise.
+	(LINK_SPEC): Likewise.
+
 2021-08-06  Richard Sandiford  <richard.sandiford@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cffca645a16..3f3eb1e2d27 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210812
+20210813
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 5951b836756..992d0b29d91 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,22 @@
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-08-04  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/101759
+	* parser.c (cp_parser_default_argument): Temporarily override
+	parser->omp_declare_simd and parser->oacc_routine to NULL.
+
+2021-08-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-08-12  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/101663
+	* constexpr.c (cxx_eval_store_expression): Handle the lval=true
+	case in the early exit code path for empty stores with mismatched
+	types.
+
 2021-08-11  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index cfd637caa4d..0171e65daaa 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,43 @@
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	PR preprocessor/101638
+	* gcc.dg/cpp/pr101638.c: New test.
+
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-08-04  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/101759
+	* g++.dg/gomp/pr101759.C: New test.
+	* g++.dg/goacc/pr101759.C: New test.
+
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-07-28  Jakub Jelinek  <jakub@redhat.com>
+
+	PR middle-end/101624
+	* gfortran.dg/ubsan/ubsan.exp: New file.
+	* gfortran.dg/ubsan/pr101624.f90: New test.
+
+2021-08-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-08-12  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/101663
+	* g++.dg/cpp2a/construct_at.h: New convenience header file that
+	defines minimal implementations of std::construct_at/destroy_at,
+	split out from ...
+	* g++.dg/cpp2a/constexpr-new5.C: ... here.
+	* g++.dg/cpp2a/constexpr-new6.C: Use the header.
+	* g++.dg/cpp2a/constexpr-new14.C: Likewise.
+	* g++.dg/cpp2a/constexpr-new20.C: New test.
+
 2021-08-11  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/libcpp/ChangeLog b/libcpp/ChangeLog
index 939554b2afd..e0a47a4928e 100644
--- a/libcpp/ChangeLog
+++ b/libcpp/ChangeLog
@@ -1,3 +1,12 @@
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	PR preprocessor/101638
+	* macro.c (cpp_sys_macro_p): Return true instead of
+	crashing on builtin macros.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.
diff --git a/libsanitizer/ChangeLog b/libsanitizer/ChangeLog
index 7f7da8887fb..029e882853e 100644
--- a/libsanitizer/ChangeLog
+++ b/libsanitizer/ChangeLog
@@ -1,3 +1,11 @@
+2021-08-12  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-08-11  Jakub Jelinek  <jakub@redhat.com>
+
+	* sanitizer_common/sanitizer_common_interceptors.inc: Cherry-pick
+	llvm-project revision faef0d042f523357fe5590e7cb6a8391cf0351a8.
+
 2021-08-05  Martin Liska  <mliska@suse.cz>
 
 	PR sanitizer/101749

